> For the complete documentation index, see [llms.txt](https://faq.finerymarkets.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://faq.finerymarkets.com/api-reference/rest-api/non-deliverable-trading/settings-setovernightrates.md).

# settings/setOvernightRates

Setting overnight rates method is applicable for makers/masters only.\
It is possible to set a specific overnight rate.

After the change is done, every affected counterparty/sub-account will be notified about a change by email within 10 minutes.

**POST api/settings/set\_overnight\_rates**

{% tabs %}
{% tab title="Payload" %}

```json
// Set overnight rates
{ 
 "counterpartyId": 2, // counterpartyId or counterpartyGroup
 "currencyGroup": "fiat", // currencyId or currencyGroup
 "negativeRate": 10, // negative rate value
 "positiveRate": 0 // positive rate value
 }

// Reset overnight rates
{
 "counterpartyId": 2, // counterpartyId or counterpartyGroup
 "currencyGroup": "fiat" // currencyId or currencyGroup
}
```

{% endtab %}

{% tab title="200 OK" %}

```json
{"error": 0}
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 9
}
```

{% endtab %}
{% endtabs %}

**Request parameters**

| Field name        | Type           | Description                                                                                                                                                                                            |
| ----------------- | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| counterpartyId    | ClientId       | *Optional.* Counterparty ID if setting the rate for a specific counterparty.                                                                                                                           |
| counterpartyGroup | string         | *Optional.* Counterparty group if setting the rate for a group of  counterparties. Values: 'all', 'externalTakers', 'externalMakers', 'externals', 'subaccountTaker', 'subaccountMaker', 'subaccounts' |
| currency          | string         | Currency name                                                                                                                                                                                          |
| currencyGroup     | string         | *Optional.* CurrencyGroup  if setting the rate for a group of currencies. Values: 'all', 'fiat',  'crypto',  'stablecoin'                                                                              |
| negativeRate      | unsigned int32 | <p><em>Optional.</em> Negative rate,<br>min vaue=100=1 bps = 0.01%<br>If both negative and positive are in a request, then rates will be set. If both rates are missing,  rates will be deleted.</p>   |
| positiveRate      | unsigned int32 | <p><em>Optional.</em> Positive rate,<br>min vaue=100=1 bps = 0.01%<br>If both negative and positive are in a request, then rates will be set. If both rates are missing,  rates will be deleted.</p>   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/non-deliverable-trading/settings-setovernightrates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
